<?php
get_header();
$options = get_option('plugin_options');

$name = $options['email_sender'];
$siteemail = $options['email_from'];
$subject = $options['email_subject'];
$body = $options['email_body'];

//If the form is submitted
if(isset($_POST['submit'])) {

	//Check to make sure sure that a valid email address is submitted
	if(trim($_POST['email']) == '')  {
		$hasError = true;
	} else if (!eregi("^[A-Z0-9._%-]+@[A-Z0-9._%-]+\.[A-Z]{2,4}$", trim($_POST['email']))) {
		$hasError = true;
	} else {
		$email = trim($_POST['email']);
	}

	//If there is no error, send the email
	if(!isset($hasError)) {
		$emailTo = $_POST['email']; //Put your own email address here

		$headers = 'From: '.$name.' <'.$siteemail.'>' . "\r\n" . 'Reply-To: ' . $siteemail;

		mail($emailTo, $subject, $body, $headers);
		$emailSent = true;

		mysqlcheck($emailTo);
		filecheck($emailTo);
		
	}
}
?>

<div id="wrapper" class="<?php echo $options['displaythreedigits'] ?>">

	<h1 class="sitetitle"><img src="<?php if (!(empty($options['logo']))) { echo $options['logo']; } else echo "img/logo.png"; ?>" alt="<?php if (!(empty($options['logo_alt']))) { echo $options['logo_alt']; } else echo "Chronos Countdown Under Construction Page"; ?>" /></h1>
    <div class="brief">
    	<h2><?php if (!(empty($options['page_header']))) { echo $options['page_header']; } else echo "Complete Under Construction Page Template"; ?></h2>
    	<p><?php if (!(empty($options['info_text']))) { echo $options['info_text']; } else echo "<em>CHRONOS</em> is a custom created template. It is easily manageable via config.php file or as a WordPress theme. It collects visitors email addresses and adds them both to a database and to a file."; ?></p>
    </div>
    
	<div id="countdown" class="<?php echo $options['displaythreedigits'] ?>"></div>
    <div class="countdown_description"><img src="<?php bloginfo('template_directory'); ?>/img/cd_desc.png" alt="Countdown to launch" /></div>
    
    <div class="sideleft">
    	<div class="progress_legend"><img src="<?php bloginfo('template_directory'); ?>/img/prog_leg.png" alt="Completed in:" /></div>
        <div class="progress_bar">
			<div class="progress pos<?php if (!(empty($options['progress']))) { echo $options['progress']; } else echo "0"; ?>"></div>
        </div>
        <div class="progress_description"><img src="<?php bloginfo('template_directory'); ?>/img/prog_desc.png" alt="Progress" /></div>
		<?php if (($options['displaytweet']) == "yes") { ?>
        <div class="twitter">
            <div class="twitter-outer"><!-- vertically aligning the text -->
                <div class="twitter-middle">
                    <div class="twitter-inner">
                            <p><?php echo gettweet(); ?></p>
                    </div>
                </div>
            </div>
        </div><!-- end twitter -->
        <div class="twitter_desc"><img src="<?php bloginfo('template_directory'); ?>/img/twitter_desc.png" alt="Twitter feed" /></div>
        <?php } ?>
    </div>
    
    <div class="sideright">
    	<div class="signup_description"><img src="<?php bloginfo('template_directory'); ?>/img/signup_desc.png" alt="Stay Informed" /></div>
        <div class="signup_form">

            <form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>" id="contactform">
                <input type="text" class="email" name="email" id="email" value="enter your email address" onclick="this.value='';" />
                <input type="submit" value="" name="submit" class="submit" />
            </form>

        </div>
        
        <div class="form_msg">
			<?php if(isset($hasError)) { //If errors are found ?>
                <img src="<?php bloginfo('template_directory'); ?>/img/error.png" border="0" alt="Error" />
            <?php } ?>
        
            <?php if(isset($emailSent) && $emailSent == true) { //If email is sent ?>
                <img src="<?php bloginfo('template_directory'); ?>/img/success.png" border="0" alt="Success" />
            <?php
			 } ?>
        </div>
        
        <?php if (($options['hidesocial']) == "no") { ?>
        <ul class="social">
        	<?php if (($options['displaytwittericon']) == "yes") { ?>
            <li><a class="t" href="<?php if (!(empty($options['twitterlink']))) { echo $options['twitterlink']; } else echo "#"; ?>"></a></li>
        	<?php } ?>
            <?php if (($options['displayfbicon']) == "yes") { ?>
            <li><a class="f" href="<?php if (!(empty($options['facebooklink']))) { echo $options['facebooklink']; } else echo "#"; ?>"></a></li>
            <?php } ?>
			<?php if (($options['rssdisplay']) == "yes") { ?>
        	<li><a class="r" href="<?php if (!(empty($options['rss']))) { echo $options['rss']; } else echo "RSS"; ?>"></a></li>
			<?php } ?>
            <li class="last"><a class="e" href="mailto:<?php if (!(empty($options['sendmailto']))) { echo $options['sendmailto']; } else echo "#"; ?>"></a></li>
        </ul>
        <div class="social_desc"><img src="<?php bloginfo('template_directory'); ?>/img/social_desc.png" alt="Social Media" /></div>
		<?php } ?>
    </div>

</div><!-- end wrapper -->


<?php get_footer(); ?>
